<div ng-controller="templateFormController as self" ng-init="self.init(<?= $this->template
	? $this->template->getId()
	: '' ?>)">
    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><?= $this->translate('administration_module_title') ?></li>
        <li><a href="<?= $this->url('project/template') ?>"><?= $this->translate(
	'template_module_title'
) ?></a></li>
        <li class="active">
            <span ng-if="self.template.id">{{self.panelTitle}}</span>
            <span ng-if="!self.template.id"><?= $this->translate('template_nav_form') ?></span>
        </li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('project-template') ?> <?= $this->translate('template_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-heading">
                    <span ng-if="self.template.id">
                        {{self.panelTitle}}
                    </span>
                    <span ng-if="!self.template.id">
                        <?= $this->translate('template_nav_form') ?>
                    </span>

                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" ng-if="self.template.id && self.template._rights.update">
                            <strong><?= $this->translate('template_field_default') ?></strong>
                            <input type="checkbox" name="default" ng-model="self.template.default" ng-change="self.defaultTemplate()"/>
                        </div>
                        <div class="panel-heading-actions" ng-if="self.template.id && self.template._rights.delete" tooltip="<?= $this->translate(
                        	'tooltip_delete'
                        ) ?>">
                            <?= $this->icon('delete', 'pointer', [
                            	'ng-click' => 'self.deleteTemplate()',
                            ]) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <form name="templateForm" ng-submit="self.saveTemplate()">
                        <input type="hidden" name="id"
                               ng-model="self.template.id" />

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('template_field_name') ?></label>
                                <input type="text" name="name" class="form-control" required autocomplete="off"
                                       ng-model="self.template.name" ng-readonly="!self.template._rights.update"/>
                                <field-errors field="name" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row separator">
                            <div class="col-xs-12">
                                <ul class="nav nav-tabs separator">
                                    <li class="active">
                                        <a href="#fields" data-toggle="tab">
                                            Champs
                                        </a>
                                    </li>
                                    <?php if ($this->module()->isActive('field')): ?>
                                        <li>
                                            <a href="#customFields" data-toggle="tab">
                                                <?= $this->icon('field') ?>
                                                <?= ucfirst(
                                                	$this->translate('field_module_title')
                                                ) ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('keyword')): ?>
                                    <li>
                                        <a href="#keywords" data-toggle="tab">
                                            <?= $this->icon('keyword') ?>
                                            <?= ucfirst($this->translate('keyword_module_title')) ?>
                                        </a>
                                    </li>
                                    <?php endif; ?>                                    
                                </ul>

                                <div class="tab-content">
                                    <div class="tab-pane active" id="fields">
                                        <?php foreach ($this->fields as $field) {
                                        	echo '<div class="row">';
                                        	echo '<div class="form-group col-sm-4">';
                                        	echo '<label>' .
                                        		$this->translate('project_field_' . $field) .
                                        		'</label>';
                                        	echo '<select class="form-control" ng-model="self.template.config.fields.' .
                                        		$field .
                                        		'.show" ng-disabled="!self.template._rights.update">';
                                        	echo '<option value="true">Afficher</option>';
                                        	echo '<option value="false">Masquer</option>';
                                        	echo '</select>';
                                        	echo '</div>';
                                        	echo '</div>';
                                        } ?>
                                    </div>
                                    <div class="tab-pane" id="customFields">
                                        <?php foreach ($this->custom as $custom) {
                                        	echo '<div class="row">';
                                        	echo '<div class="form-group col-sm-4">';
                                        	echo '<label>' . $custom->getName() . '</label>';
                                        	echo '<select class="form-control" ng-model="self.template.config.custom[\'' .
                                        		$custom->getId() .
                                        		'\'].show" ng-disabled="!self.template._rights.update">';
                                        	echo '<option value="true">Afficher</option>';
                                        	echo '<option value="false">Masquer</option>';
                                        	echo '</select>';
                                        	echo '</div>';
                                        	echo '</div>';
                                        } ?>
                                    </div>
                                    <div class="tab-pane" id="keywords">
                                        <?php foreach ($this->keywords as $keyword) {
                                        	echo '<div class="row">';
                                        	echo '<div class="form-group col-sm-4">';
                                        	echo '<label>' . $keyword->getName() . '</label>';
                                        	echo '<select class="form-control" ng-model="self.template.config.keywords[\'' .
                                        		$keyword->getId() .
                                        		'\'].show" ng-disabled="!self.template._rights.update">';
                                        	echo '<option value="true">Afficher</option>';
                                        	echo '<option value="false">Masquer</option>';
                                        	echo '</select>';
                                        	echo '</div>';
                                        	echo '</div>';
                                        } ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div ng-if="self.template._rights.update" class="row">
                            <div class="col-xs-12">
                                <button type="submit" class="btn btn-submit"  ng-disabled="self.loading.remove || self.loading.save" >
                                    <?= $this->icon('loading', '', [
                                    	'ng-if' => 'self.loading.save',
                                    ]) ?>
                                    <?= $this->translate('form_button_save') ?>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('project:e:template:c')) {
	$fabLinks[] = [
		'href' => $this->url('project/template/form'),
		'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('template_nav_form'),
	];
}

echo $this->fabMenu($fabLinks);

$this->angular('js/src/project/service/template.js');
$this->angular('js/src/project/controller/template/form.js');

